Subject: [AAA-WG]: Issue 98: Peer role in Peer table?

From: "Martin Julien (ECE)" <[email-masked]>
Date: Wed, 25 Jul 2001 18:46:12 +0200

Submitter name:  Martin Julien
Submitter email address:  [email-masked]
Date first submitted:  July 25, 2001
Reference: 
Document: Base-07
Comment type: T
Priority:  1
Section:  
Rationale/Explanation of issue:

In section 5.1 of Base-07, referring to peer connections, what 
is the difference between opening a connection to a primary or 
to a secondary peer? Is that data expected to be configurable 
or run-time dependent? My understanding is that it was intended
to be configurable by the system admin.

The thing is that I do not really see what the role of primary,
secondary and alternate means? It is said that a connection should
be openned with all primary and secondary peers, and optionnally
with alternate ones. What is the real difference between them?
Shouldn't we simply say that for a particular peer, a connection
should be maintain or not?

In fact, my confusion comes from the fact that I am not sure
if the secondary peer refers to the Alternate-Peer AVP or not?
The thing is that it is not possible to say if it is a secondary
or alternate peer with that Alternate-Peer AVP.

Could you please tell me what were your intentions with that 
Peer role exactly?

Also, was the Alternate-Peer also good for routing answers 
or not?, can it be used for upstream requests from the client
to the server when using the Destination-Host AVP?

Requested change:

Please clarify this so that it is clear.

Regards,
Martin

---

From: Pat Calhoun <[email-masked]>
Date: Wed, 25 Jul 2001 13:24:02 -0700

ok, so it sounds like some clarifications are required in the base
spec. Just as an FYI, a primary/secondary is not necessarily a configurable
thing. Peers come and go, and the primary is the peer with which one is
communicating. The secondary is the "backup" should the connection with 
the primary becomes suspect. Alternates are other peers that one does not
necessarily have an open connection with (but it could), which will eventually
become primary/secondary as failures occur.

I had a rather lengthy definition of the above proposed, but was asked to
remove all the verbage by someone else :(

PatC